      REAL*8 FUNCTION VNENE(rnene)
c  original Aziz-Slaman routine used reduced units.  This version has
c  r and v in atomic units.  Russ Pack 98/5/5
      implicit none
      real*8 epsnene, rmnene, x, x2, x6, x8, x10, rnene, ua, a, ub, b
      real*8 alpha, beta, uc, c6, c8, c10, d1x, chnge, en, d, ud, c, em
      integer icall
      character*8 procname
      parameter (procname='vnene   ')
c  ------1---------2---------3---------4---------5---------6---------7--
      COMMON/POTNENE/A,ALPHA,C6,C8,C10,C,D,CHNGE,B,BETA,EN,EM
      data icall /0/
      save
c  determine parameters on first call.
      if (icall.eq.0) then
         call nenedat
c  well depth and rm, both in au.
         epsnene = 1.337985194d-04
         rmnene = 5.841143031d0
         icall=1
      end if
c  start here on further calls
      vnene = 0.d0
      x = rnene/rmnene
      if(x.gt.1.d04) return
      X2=X*X
      X6=X2**3
      X8=X2*X6
      X10=X8*X2
      UA=A
      UB=ALPHA*X-BETA*X*X
      UC=C6/X6+C8/X8+C10/X10
      D1X=D/X-1.D0
      UD=DEXP(-DMIN1(174.D0,C*D1X*D1X))
      IF(X.GE.CHNGE) then
         VNENE=UA*DEXP(-DMIN1(174.D0,UB))-UC
      else
         VNENE=UA*DEXP(-DMIN1(174.D0,UB))-UC*UD
      end if
      vnene = epsnene*vnene
      RETURN
      END
